Skip to main content
GET
/
openai
/
v1
/
containers
Error
A valid request URL is required to generate request examples
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "created_at": 123,
      "expires_after": {
        "anchor": "<string>",
        "minutes": 123
      },
      "last_active_at": 123,
      "memory_limit": "<string>",
      "metadata": {}
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true,
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

provider
string

Provider to list containers for (defaults to openai)

limit
integer

Maximum containers to return

after
string

Cursor for pagination

order
enum<string>

Sort order

Available options:
asc,
desc

Response

Successful response

object
string

The object type (always "list")

data
object[]

List of container objects

first_id
string

ID of the first container in the list

last_id
string

ID of the last container in the list

has_more
boolean

Whether there are more containers to fetch

extra_fields
object

Additional fields included in responses